com.ihr.xbrl.om.formula.errors

## Class XFValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.ihr.xbrl.om.errors.XBRLValidationException
      - - com.ihr.xbrl.om.formula.errors.XFValidationException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    XFxbrlacfeInconsistentAspectCoverFilters, XFxbrlcaeAcceptanceRadiusConflict, XFxbrlcaeVariablesNotAllowed, XFxbrlcfieMissingCFIRelationship, XFxbrlcfieTooManyCFIRelationships, XFxbrlcrfeInvalidConceptRelationParameters, XFxbrleaeVariableReferenceNotAllowed, XFxbrlfeBadSubsequentOCCValue, XFxbrlfeBadUsageOfExplicitDimensionRule, XFxbrlfeBadUsageOfTypedDimensionRule, XFxbrlfeBindEmptySourceVariable, XFxbrlfeConflictingAspectRules, XFxbrlfeDefaultAspectValueConflicts, XFxbrlfeIllegalUseOfUncoveredQName, XFxbrlfeIncompleteConceptRule, XFxbrlfeIncompleteEntityIdentifierRule, XFxbrlfeIncompletePeriodRule, XFxbrlfeMissingConceptRule, XFxbrlfeMissingEntityIdentifierRule, XFxbrlfeMissingPeriodRule, XFxbrlfeMissingSAVForExplicitDimensionRule, XFxbrlfeMissingSAVForTypedDimensionRule, XFxbrlfeMissingSAVForUnitRule, XFxbrlfeMissingUnitRule, XFxbrlfeNonexistentSourceVariable, XFxbrlfeNonSingletonOutputValue, XFxbrlfeSequenceSAVConflicts, XFxbrlfeUndefinedSAV, XFxbrlfeUnrecognisedAspectRule, XFxbrlfeWrongXpathResultForTypedDimensionRule, XFxbrlmsgeMissingLeftCurlyBracketInMessage, XFxbrlmsgeMissingRightCurlyBracketInMessage, XFxbrlveCyclicDependencies, XFxbrlveDuplicateVariableNames, XFxbrlveFactVariableReferenceNotAllowed, XFxbrlveFallbackValueVariableReferenceNotAllowed, XFxbrlveFilterAspectModelMismatch, XFxbrlveInvalidDatatypeInCustomFunctionSignature, XFxbrlveInvalidDimension, XFxbrlveMissingParameterValue, XFxbrlveMultipleTypedDimensionEqualityDefinitions, XFxbrlveNoCustomFunctionSignature, XFxbrlveNoProhibitedNamespaceForCustomFunction, XFxbrlveParameterCyclicDependencies, XFxbrlveParameterNameClash, XFxbrlveParameterTypeMismatch, XFxbrlveUnknownAspectModel, XFxbrlveUnresolvedDependency, XFxbrlveVariableNameResolutionFailure

      public class XFValidationException
      extends XBRLValidationException

  The Class XFValidationException.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `XBRLACFE` The Constant XBRLACFE.
    `static java.lang.String` | `XBRLACFEPFX` The Constant XBRLACFEPFX.
    `static java.lang.String` | `XBRLCAE` The Constant XBRLCAE.
    `static java.lang.String` | `XBRLCAEPFX` The Constant XBRLCAEPFX.
    `static java.lang.String` | `XBRLCFIE` The Constant XBRLCFIE.
    `static java.lang.String` | `XBRLCFIEPFX` The Constant XBRLCFIEPFX.
    `static java.lang.String` | `XBRLCRFE` The Constant XBRLCRFE.
    `static java.lang.String` | `XBRLCRFEPFX` The Constant XBRLCRFEPFX.
    `static java.lang.String` | `XBRLEAE` The Constant XBRLEAE.
    `static java.lang.String` | `XBRLEAEPFX` The Constant XBRLEAEPFX.
    `static java.lang.String` | `XBRLFE` The Constant XBRLFE.
    `static java.lang.String` | `XBRLFEPFX` The Constant XBRLFEPFX.
    `static java.lang.String` | `XBRLMSGE` The Constant XBRLMSGE.
    `static java.lang.String` | `XBRLMSGEPFX` The Constant XBRLMSGEPFX.
    `static java.lang.String` | `XBRLVE` The Constant XBRLVE.
    `static java.lang.String` | `XBRLVEPFX` The Constant XBRLVEPFX.
    `static java.lang.String` | `XQT` The Constant XQT.
    `static java.lang.String` | `XQTPFX` The Constant XQTPFX.

    - ### Fields inherited from class com.ihr.xbrl.om.errors.XBRLValidationException

      `ARC_SOURCE_ERROR, ARC_TARGET_ERROR, ARCROLE_TYPE_NOT_DECLARED_USED_ON, ARCROLE_TYPE_UNRESOLVABLE, ARCROLEREF_POINTS_TO_NON_TAXONOMY_SCHEMA, CONCEPT_BALANCE_AMBIGUOUS, CONCEPT_INVALID_TYPE, CONCEPT_LABEL_SOURCE_IS_NOT_CONCEPT, CONCEPT_LABEL_TARGET_INVALID, CONCEPT_LABEL_TARGET_IS_NOT_LOCAL_AND_RELATIONSHIP_IS_NOT_PROHIBITED, CONCEPT_LABEL_TARGET_IS_NOT_RESOURCE, CONCEPT_MISSING_PERIODTYPE, CONCEPT_NOT_FOUND, CONCEPT_NUMERIC_MISSING_UNIT, CONCEPT_PERIOD_TYPE_MISTMATCH, CONCEPT_REFERENCE_SOURCE_IS_NOT_CONCEPT, CONCEPT_REFERENCE_TARGET_INVALID, CONCEPT_REFERENCE_TARGET_IS_NOT_LOCAL_AND_RELATIONSHIP_IS_NOT_PROHIBITED, CONCEPT_REFERENCE_TARGET_NOT_RESOURCE, CONTENT_MODEL_EXCEPTION, DTS_DISCOVERY_EXCEPTION, DUPLICATE_ARCROLEREF_EXCEPTION, DUPLICATE_EXCEPTION, DUPLICATE_ROLEREF_EXCEPTION, DUPLICATE_USED_ON, ENCAPSULATE_DTS_DISCOVERY_EXCEPTION, ENCAPSULATE_JAVA_EXCEPTION, ENCAPSULATE_LICENSEVERIFICATION_EXCEPTION, ENCAPSULATE_XBRL_EXCEPTION, ENCAPSULATE_XML_EXCEPTION, ENCAPSULATE_XPATH_EXCEPTION, ERROR_OK, ESSENCE_ALIAS_DIFFERENT_BALANCE, ESSENCE_ALIAS_DIFFERENT_ITEM_TYPES, ESSENCE_ALIAS_DIFFERENT_PERIOD_TYPES, ESSENCE_ALIAS_NON_UEQUAL, ESSENCE_ALIAS_NON_VEQUAL, ESSENCE_ALIAS_SOURCE_NOT_ITEM, ESSENCE_ALIAS_TARGET_NOT_ITEM, EXTENSIBLE_ENUMERATIONS_EXCEPTION_BASE, FACT_DECIMALS_AND_PRECISION, FACT_ERROR, FACT_FOOTNOTEARC_SOURCE_NOT_FACT, FACT_FOOTNOTEARC_SOURCE_OUT_OF_INSTANCE, FACT_FOOTNOTEARC_TARGET_NOT_RESOURCE, FACT_FOOTNOTEARC_TARGET_OUT_OF_INSTANCE, FACT_NILLED_HAS_DECIMALS_OR_PRECISION, FACT_NO_DECIMALS_NO_PRECISION, FOOTNOTE_MISSING_LANG, FORMULA_PROCESSOR_EXCEPTION, GENERAL_SPECIAL_SOURCE_NOT_ITEM, GENERAL_SPECIAL_TARGET_NOT_ITEM, GENERIC_LINKBASE_ELEMENT_LABEL_INVALID_TARGET, GENERIC_LINKBASE_ELEMENT_REFERENCE_INVALID_TARGET, GENERIC_LINKBASE_EXCEPTION_BASE, GENERIC_LINKBASE_INVALID_ARCROLE_URI, GENERIC_LINKBASE_INVALID_ROLE_URI, INCONSISTENCY_AS_EXCEPTION, INCONSISTENT_DTS_OPERATION_EXCEPTION, INVALID_ATTRIBUTE_VALUE, INVALID_DIRECTED_CYCLES_FOUND, INVALID_ELEMENT_VALUE_EXCEPTION, INVALID_LOCATOR_FOUND, INVALID_NUMBER_OF_VALUES_FOR_ATTRIBUTE, INVALID_UNDIRECTED_CYCLES_FOUND, INVALID_URI_IN_HREF, INVALID_XPOINTER_FOR_XBRL, LABEL_INVALID_RESOURCE, LABEL_MISSING_LANG, MULTIPLE_NON_SEQUAL_ARCROLE_TYPE_DEFINITIONS, MULTIPLE_NON_SEQUAL_ROLE_TYPE_DEFINITIONS, NO_LABEL_FOR_PREFERRED_LABELROLE, NUMERIC_VALUE_CANT_GET_TYPE_ERROR, OK, PERIOD_DATES_INVALID, PREFERRED_LABEL_ROLE_TYPE_NOT_DEFINED, PURE_RUNTIME_EXCEPTION, REDEFINE_ERROR, REQUIRES_ELEMENT_TARGET_NOT_FOUND, ROLE_TYPE_NOT_DECLARED_USED_ON, ROLE_TYPE_UNRESOLVABLE, ROLEREF_POINTS_TO_NON_TAXONOMY_SCHEMA, RS_NO_FILES_TO_LOAD, SCENARIO_INVALID_CONTENT, SCHEMA_EXCEPTION, SEGMENT_INVALID_CONTENT, SUMMATION_ITEM_INVALID_DEBIT_CREDIT_RELATIONSHIP, SUMMATION_ITEM_INVALID_WEIGHT_VALUE, SUMMATION_ITEM_SOURCE_NOT_ITEM, SUMMATION_ITEM_SOURCE_NOT_NUMERIC, SUMMATION_ITEM_TARGET_NOT_ITEM, SUMMATION_ITEM_TARGET_NOT_NUMERIC, TABLE_PROCESSOR_EXCEPTION, TARGET_IS_NOT_CONCEPT, TARGET_IS_NOT_CONTEXT, TARGET_IS_NOT_FACT, TARGET_IS_NOT_UNIT, TUPLE_INVALID_ATTRIBUTE, TUPLE_INVALID_CONTENT, UNIT_ERROR, UNREADABLE_DOCUMENT, URI_MUST_BE_ABSOLUTE, XBRL_RS_TOOL_SPECIFIC_ERROR_BASE, XDT_EXCEPTION, XLINK_ERROR, XLINK_ERROR_DUPLICATE_ARCS, XLINK_ERROR_TARGET_IS_NOT_SCHEMA, XLINK_ERROR_UNRESOLVABLE_URI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XFValidationException(javax.xml.namespace.QName qError, java.lang.String description)` Instantiates a new XF validation exception.
    `XFValidationException(javax.xml.namespace.QName qError, java.lang.String description, java.lang.Throwable cause)` Instantiates a new XF validation exception.
    `XFValidationException(net.sf.saxon.trans.XPathException ex)` Instantiates a new XF validation exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.namespace.QName` | `getQNameError()` Gets the q name error.

    - ### Methods inherited from class com.ihr.xbrl.om.errors.XBRLValidationException

      `addPrefixMessage, addSuffixMessage, documentException, equals, getCode, getMessage, hashCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### XBRLFE

          public static final java.lang.String XBRLFE

      The Constant XBRLFE.
      See Also:
        Constant Field Values

    - #### XBRLFEPFX

          public static final java.lang.String XBRLFEPFX

      The Constant XBRLFEPFX.
      See Also:
        Constant Field Values

    - #### XBRLVE

          public static final java.lang.String XBRLVE

      The Constant XBRLVE.
      See Also:
        Constant Field Values

    - #### XBRLVEPFX

          public static final java.lang.String XBRLVEPFX

      The Constant XBRLVEPFX.
      See Also:
        Constant Field Values

    - #### XQT

          public static final java.lang.String XQT

      The Constant XQT.
      See Also:
        Constant Field Values

    - #### XQTPFX

          public static final java.lang.String XQTPFX

      The Constant XQTPFX.
      See Also:
        Constant Field Values

    - #### XBRLCAE

          public static final java.lang.String XBRLCAE

      The Constant XBRLCAE.
      See Also:
        Constant Field Values

    - #### XBRLCAEPFX

          public static final java.lang.String XBRLCAEPFX

      The Constant XBRLCAEPFX.
      See Also:
        Constant Field Values

    - #### XBRLEAE

          public static final java.lang.String XBRLEAE

      The Constant XBRLEAE.
      See Also:
        Constant Field Values

    - #### XBRLEAEPFX

          public static final java.lang.String XBRLEAEPFX

      The Constant XBRLEAEPFX.
      See Also:
        Constant Field Values

    - #### XBRLACFE

          public static final java.lang.String XBRLACFE

      The Constant XBRLACFE.
      See Also:
        Constant Field Values

    - #### XBRLACFEPFX

          public static final java.lang.String XBRLACFEPFX

      The Constant XBRLACFEPFX.
      See Also:
        Constant Field Values

    - #### XBRLCFIE

          public static final java.lang.String XBRLCFIE

      The Constant XBRLCFIE.
      See Also:
        Constant Field Values

    - #### XBRLCFIEPFX

          public static final java.lang.String XBRLCFIEPFX

      The Constant XBRLCFIEPFX.
      See Also:
        Constant Field Values

    - #### XBRLMSGE

          public static final java.lang.String XBRLMSGE

      The Constant XBRLMSGE.
      See Also:
        Constant Field Values

    - #### XBRLMSGEPFX

          public static final java.lang.String XBRLMSGEPFX

      The Constant XBRLMSGEPFX.
      See Also:
        Constant Field Values

    - #### XBRLCRFE

          public static final java.lang.String XBRLCRFE

      The Constant XBRLCRFE.
      See Also:
        Constant Field Values

    - #### XBRLCRFEPFX

          public static final java.lang.String XBRLCRFEPFX

      The Constant XBRLCRFEPFX.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XFValidationException

          public XFValidationException(javax.xml.namespace.QName qError,
                               java.lang.String description)

      Instantiates a new XF validation exception.
      Parameters:
        `qError` - the q error
        `description` - the description

    - #### XFValidationException

          public XFValidationException(javax.xml.namespace.QName qError,
                               java.lang.String description,
                               java.lang.Throwable cause)

      Instantiates a new XF validation exception.
      Parameters:
        `qError` - the q error
        `description` - the description
        `cause` - the cause

    - #### XFValidationException

          public XFValidationException(net.sf.saxon.trans.XPathException ex)

      Instantiates a new XF validation exception.
      Parameters:
        `ex` - the ex

  - ### Method Detail

    - #### getQNameError

          public javax.xml.namespace.QName getQNameError()

      Gets the q name error.
      Overrides:
        `getQNameError` in class `XBRLValidationException`
      Returns:
        QName